Bug 119588 - up2date does not delete alt-arch packages
Summary: up2date does not delete alt-arch packages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
(Show other bugs)
Version: 2
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-fc2 130798
TreeView+ depends on / blocked
 
Reported: 2004-03-31 18:33 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 15:03:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2004-03-31 18:33:46 UTC
Description of problem:

The system is everything install FC2-T2.  After running update to
update some packages (including some which had both i386 and x86_64
packages), I noticed that the alternate architecture (i386/i686)
packages had not been deleted after installation whereas the x86_64
packages had been deleted.  I queried the system and both packages had
been installed.

Comment 1 Aleksey Nogin 2004-08-26 03:47:34 UTC
There are a number of issues with alternate architecture support in
up2date (in addition to the one mentioned above):

1) If you have grub-0.94-4 installed and no 32-bit libraries, then
up2date fails with "glibc-2.3.3-27 is already installed" error
message. The problem is that the newer grub-0.94-5 requires the 32-bit
glibc and up2date gets confused by the fact that it needs to install
the 32-bit glibc while it already has the 64-bit one installed.

2) When the 64-bit version of foo is installed, but the 32-bit is not,
there does not seem to be a way to tell up2date to install the 32-bit
version.

Comment 2 Matthew Miller 2005-04-26 15:37:30 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 David Lawrence 2006-04-18 20:23:26 UTC
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.

Comment 4 Gene Czarcinski 2006-04-22 13:23:02 UTC
I have not seen this problem lately ... especially with FC4 or FC5 which is what
I am running now.  Not sure but should this be closed as fixed in latested releases?

Comment 5 John Thacker 2006-04-22 15:03:42 UTC
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.  In addition, it seems to be fixed in FC4
and FC5.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.


Note You need to log in before you can comment on or make changes to this bug.